# myfirstproject
This project is a presentation of both rest and soap Api created with their particular methods.
i have created it to automate the api execution and to validate it.
you can also see the use of features of static data driven testing using .csv and .json file.
To generate user frieldly report and enabling the integration with CI and CD tools,you can see i have used newman command line along with HTML and HTML EXTRA report.


## Getting started
Anyone who wants to use this framework can clone and implment their respective scdenarios.
software needed for that are mentioned below :
1) for development : postman (latest version)
2) for execution : Node.js.Newman.

##GIT COMMAND TO CLONE AND PULL
GIT CLONE : git clone https://gitlab.com/swapnil.salve5900/myfirstproject.git
GIT PULL : git pull "branch name"

